GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Classes | Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay Class Reference

## Classes
class | Breaks
class | OpeningHours

## Public Member Functions
String | getDay ()
void | setDay (String value)
GLSWorkingDay.OpeningHours | getOpeningHours ()
void | setOpeningHours (GLSWorkingDay.OpeningHours value)
GLSWorkingDay.Breaks | getBreaks ()
void | setBreaks (GLSWorkingDay.Breaks value)

## Protected Attributes
String | day
GLSWorkingDay.OpeningHours | openingHours
GLSWorkingDay.Breaks | breaks

## Detailed Description

Java class for GLSWorkingDay complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GLSWorkingDay">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Day" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="OpeningHours">
              <complexType>
                <complexContent>
                  <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                    <sequence>
                      <element name="Hours" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}Hours"/>
                    </sequence>
                  </restriction>
                </complexContent>
              </complexType>
            </element>
            <element name="Breaks">
              <complexType>
                <complexContent>
                  <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                    <sequence>
                      <element name="Hours" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}Hours"/>
                    </sequence>
                  </restriction>
                </complexContent>
              </complexType>
            </element>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 57 of file GLSWorkingDay.java.

## Member Function Documentation

## ◆ getBreaks()

GLSWorkingDay.Breaks eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.getBreaks | ( |  | ) |

Gets the value of the breaks property.

Returns
  possible object is GLSWorkingDay.Breaks

Definition at line 122 of file GLSWorkingDay.java.

## ◆ getDay()

String eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.getDay | ( |  | ) |

Gets the value of the day property.

Returns
  possible object is String

Definition at line 74 of file GLSWorkingDay.java.

## ◆ getOpeningHours()

GLSWorkingDay.OpeningHours eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.getOpeningHours | ( |  | ) |

Gets the value of the openingHours property.

Returns
  possible object is GLSWorkingDay.OpeningHours

Definition at line 98 of file GLSWorkingDay.java.

## ◆ setBreaks()

void eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.setBreaks | ( | GLSWorkingDay.Breaks | value | ) |

Sets the value of the breaks property.

Parameters

  value | allowed object is GLSWorkingDay.Breaks

Definition at line 134 of file GLSWorkingDay.java.

## ◆ setDay()

void eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.setDay | ( | String | value | ) |

Sets the value of the day property.

Parameters

  value | allowed object is String

Definition at line 86 of file GLSWorkingDay.java.

## ◆ setOpeningHours()

void eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.setOpeningHours | ( | GLSWorkingDay.OpeningHours | value | ) |

Sets the value of the openingHours property.

Parameters

  value | allowed object is GLSWorkingDay.OpeningHours

Definition at line 110 of file GLSWorkingDay.java.

## Member Data Documentation

## ◆ breaks

GLSWorkingDay.Breaks eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.breaks
| protected

Definition at line 64 of file GLSWorkingDay.java.

## ◆ day

String eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.day
| protected

Definition at line 60 of file GLSWorkingDay.java.

## ◆ openingHours

GLSWorkingDay.OpeningHours eu.glsgroup.ws.parcelshopsearch.GLSWorkingDay.openingHours
| protected

Definition at line 62 of file GLSWorkingDay.java.

The documentation for this class was generated from the following file:

- GLSWorkingDay.java